Skip to main content
POST
Add a note to a person

Authorizations

Authorization
string
header
required

An API key from Settings, API keys. It starts with rc_live_.

Path Parameters

id
string
required

The person's ID.

Body

application/json

Either body or body_blocks, and not empty.

body
string

The note as plain text.

body_blocks
object[]

The note as a formatted document.

note_type_id
string | null

A note type used on people (applies_to people or both), or null. Another is refused (400).

Response

The note.

id
string
required
author_person_id
string | null
required

The person who wrote it.

body
string
required

The words of the note, always, even when it was written as a document.

body_blocks
object[] | null
required

The document, or null for a note written as plain text.

created_at
string<date-time>
required
note_type_id
string | null

The note type it is filed under: one of the rescue's used on people, or null.